<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CompanySubscription StructType
 * @subpackage Structs
 */
class CompanySubscription extends SubcontractedResultStrategy
{
    /**
     * The Company
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Company
     */
    public $Company;
    /**
     * Constructor method for CompanySubscription
     * @uses CompanySubscription::setCompany()
     * @param \StructType\Company $company
     */
    public function __construct(\StructType\Company $company = null)
    {
        $this
            ->setCompany($company);
    }
    /**
     * Get Company value
     * @return \StructType\Company|null
     */
    public function getCompany()
    {
        return $this->Company;
    }
    /**
     * Set Company value
     * @param \StructType\Company $company
     * @return \StructType\CompanySubscription
     */
    public function setCompany(\StructType\Company $company = null)
    {
        $this->Company = $company;
        return $this;
    }
}
